#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n , h;
    cin>>h>>n;
    int a[h][n];
   for(int i=1; i<=h; i++)
    {
        for(int j=1; j<=n; j++)
        cin>>a[i][j];
    }
    if(n==1) cout<<a[h][n];
    int br=0;
    for(int i=1; i<=h; i++)
    {
        for(int j=1; j<=n; j++)
        if(a[i][j]==1) br++;
    }
    if(br==h*n) 
    {
        for(int i=0; i<br; i++)
        {
            cout<<1<<" ";
        }
    }
    return 0;
}